"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/**
 * Represents a trust line on the XRP Ledger.
 * @see https://xrpl.org/trust-lines-and-issuing.html
 */
class TrustLine {
    constructor(trustLineResponse) {
        this.account = trustLineResponse.account;
        this.balance = trustLineResponse.balance;
        this.currency = trustLineResponse.currency;
        this.limit = trustLineResponse.limit;
        this.limitPeer = trustLineResponse.limit_peer;
        this.qualityIn = trustLineResponse.quality_in;
        this.qualityOut = trustLineResponse.quality_out;
        this.noRipple = !!trustLineResponse.no_ripple;
        this.noRipplePeer = !!trustLineResponse.no_ripple_peer;
        this.authorized = !!trustLineResponse.authorized;
        this.peerAuthorized = !!trustLineResponse.peer_authorized;
        this.freeze = !!trustLineResponse.freeze;
        this.freezePeer = !!trustLineResponse.freeze_peer;
    }
}
exports.default = TrustLine;
//# sourceMappingURL=trustline.js.map